From: Sebastian Staudt <koraktor@gmail.com>
To: Git Mailing List <git@vger.kernel.org>
Cc: Junio C Hamano <gitster@pobox.com>, Jeff King <peff@peff.net>,
Duy Nguyen <pclouds@gmail.com>,
Sebastian Staudt <koraktor@gmail.com>
Subject: [PATCH v2 1/3] Add tests for describe with --work-tree
Date: Sat, 26 Jan 2019 21:49:49 +0100 [thread overview]
Message-ID: <20190126204951.42455-1-koraktor@gmail.com> (raw)
The dirty ones are already passing, but just because describe is comparing
with the wrong working tree.
Signed-off-by: Sebastian Staudt <koraktor@gmail.com>
---
t/t6120-describe.sh | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
diff --git a/t/t6120-describe.sh b/t/t6120-describe.sh
index d639d94696..9a6bd1541f 100755
--- a/t/t6120-describe.sh
+++ b/t/t6120-describe.sh
@@ -28,6 +28,24 @@ check_describe () {
'
}
+check_describe_worktree () {
+ cd "$TEST_DIRECTORY"
+ expect="$1"
+ shift
+ R=$(git --git-dir "$TRASH_DIRECTORY/.git" --work-tree "$TRASH_DIRECTORY" describe "$@" 2>err.actual)
+ S=$?
+ cat err.actual >&3
+ test_expect_success "describe with --work-tree $*" '
+ test $S = 0 &&
+ case "$R" in
+ $expect) echo happy ;;
+ *) echo "Oops - $R is not $expect";
+ false ;;
+ esac
+ '
+ cd "$TRASH_DIRECTORY"
+}
+
test_expect_success setup '
test_tick &&
@@ -145,14 +163,20 @@ check_describe A-* HEAD
check_describe "A-*[0-9a-f]" --dirty
+check_describe_worktree "A-*[0-9a-f]" --dirty
+
test_expect_success 'set-up dirty work tree' '
echo >>file
'
check_describe "A-*[0-9a-f]-dirty" --dirty
+check_describe_worktree "A-*[0-9a-f]-dirty" --dirty
+
check_describe "A-*[0-9a-f].mod" --dirty=.mod
+check_describe_worktree "A-*[0-9a-f].mod" --dirty=.mod
+
test_expect_success 'describe --dirty HEAD' '
test_must_fail git describe --dirty HEAD
'
--
2.20.1
next reply other threads:[~2019-01-26 20:51 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-26 20:49 Sebastian Staudt [this message]
2019-01-26 20:49 ` [PATCH v2 2/3] Setup working tree in describe Sebastian Staudt
2019-01-27 0:21 ` Duy Nguyen
2019-01-27 7:19 ` Sebastian Staudt
2019-01-26 20:49 ` [PATCH v2 3/3] Add test for describe with a bare repository Sebastian Staudt
2019-01-27 0:25 ` Duy Nguyen
2019-01-27 6:54 ` Sebastian Staudt
2019-01-27 0:07 ` [PATCH v2 1/3] Add tests for describe with --work-tree Duy Nguyen
2019-01-27 7:13 ` Sebastian Staudt
2019-01-28 10:06 ` Duy Nguyen
2019-01-30 16:47 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20190126204951.42455-1-koraktor@gmail.com \
--to=koraktor@gmail.com \
--cc=git@vger.kernel.org \
--cc=gitster@pobox.com \
--cc=pclouds@gmail.com \
--cc=peff@peff.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.